// The Log class is a wrapper around the C SDK log routines in NDTSError.dll
// It is currently effectively a singleton with no state and could be implemented entirely with static functions.
#pragma once
#include "PropertiesInterface.h"
#include "Errors.h"
namespace NDTS
{
	namespace SCO
	{
	class SCO_API Log
	{
	public:
		Log(void);
		virtual ~Log(void);

		// Set last error to SCO_GeneralError and log a message at LL_Err
		void Log::addGeneralErrorMessage(const char *msg, ...);
		// Set last error to errorNumber
		void Log::addError(SCO_ReturnCode errorNumber, NDTS_LogLevel level = NDTS_LLErr);
		// Write a message to the SDK log
		void addMessageToLog(NDTS_LogLevel level, const char *msg, ...);



	};
	}}
